- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/get#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/get#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/get#body.aspect)
- [Try it!](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/get#try-it)

Returns a rubric.

This method returns the following error codes:

- `PERMISSION_DENIED` for [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).
- `INVALID_ARGUMENT` if the request is malformed.
- `NOT_FOUND` if the requested course, course work, or rubric doesn't exist or if the user doesn't have access to the corresponding course work.

### HTTP request

`GET https://classroom.googleapis.com/v1/courses/{courseId}/courseWork/{courseWorkId}/rubrics/{id}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `courseId` | `string` Required. Identifier of the course. |
| `courseWorkId` | `string` Required. Identifier of the course work. |
| `id` | `string` Required. Identifier of the rubric. |

### Query parameters

| Parameters ||
|---|---|
| `previewVersion` | ``enum (`https://developers.google.com/workspace/classroom/reference/rest/v1/PreviewVersion`)`` Optional. The preview version of the API. This must be set in order to access new API capabilities made available to developers in the Preview Program. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics#Rubric`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/classroom.coursework.students.readonly`
- `
  https://www.googleapis.com/auth/classroom.coursework.me.readonly`
- `
  https://www.googleapis.com/auth/classroom.coursework.students`
- `
  https://www.googleapis.com/auth/classroom.coursework.me`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).